import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6IjM5ZmJiZGNlLTVhMTItNDE2Mi05N2E2LTkwOWQ1YmY4YjZiOSIsInVzZXJuYW1lIjoiYWRtaW4ifQ.Bqa5Ax4TLl6faSgqowRLR12IXbBf4sDEEKPe2PytRHQOf8TpuuYsvfZU4QszxCr44Woz2KkXh5vWBW5leCtYaQ'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
